import unittest
from app import app

class FlaskAppTests(unittest.TestCase):

    def setUp(self):
        # Crée un client de test
        self.app = app.test_client()
        self.app.testing = True

    def test_index_page(self):
        # Test pour s'assurer que l'index se charge correctement
        response = self.app.get('/')
        self.assertEqual(response.status_code, 200)


if __name__ == '__main__':
    unittest.main()
